- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
TopologyRefiner::UniformOptions Struct Reference

Uniform refinement options. More...

`#include <topologyRefiner.h>`

## Public Member Functions
| UniformOptions (int level)

## Public Attributes
unsigned int | refinementLevel:4
| Number of refinement iterations. More...
unsigned int | orderVerticesFromFacesFirst:1
unsigned int | fullTopologyInLastLevel:1

## Detailed Description

Uniform refinement options.

Definition at line 104 of file topologyRefiner.h.

## Constructor & Destructor Documentation

UniformOptions | ( | int | level | ) |
| inline

Definition at line 106 of file topologyRefiner.h.

## Member Data Documentation

unsigned int fullTopologyInLastLevel

Skip topological relationships in the last level of refinement that are not needed for interpolation (keep false if using limit).

Definition at line 111 of file topologyRefiner.h.

unsigned int orderVerticesFromFacesFirst

Order child vertices from faces first instead of child vertices of vertices

Definition at line 111 of file topologyRefiner.h.

unsigned int refinementLevel

Number of refinement iterations.

Definition at line 111 of file topologyRefiner.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyRefiner.h